<div class="flex-list-feed-items">
  <app-welcome-feed-card></app-welcome-feed-card>
  @if (displayConnectivityError) {
    <lib-connectivity-error-handling-card
      [show]="displayConnectivityError"
    ></lib-connectivity-error-handling-card>
  } @else {
    <lib-went-wrong-error-handling-card
      [hasFeedItems$]="hasFeedItems$"
    ></lib-went-wrong-error-handling-card>
    <ng-container *ngIf="priorityFeedItems">
      <ion-col
        *ngFor="let priorityFeedItem of priorityFeedItems"
        [size]="12"
        aria-live="polite"
        aria-atomic="true"
        class="flex-list-feed-items"
      >
        <ng-container
          *ngComponentOutlet="
            priorityFeedItem.forYouComponent;
            inputs: { feedItem: priorityFeedItem }
          "
        />
      </ion-col>
    </ng-container>
    <lib-update-notifier></lib-update-notifier>
    <lib-install-as-app-card></lib-install-as-app-card>
  }
</div>
